XmlErrorWatcher (xmlbeans API)

org.apache.xmlbeans.impl.common

## Class XmlErrorWatcher

- java.lang.Object
- - java.util.AbstractCollection<XmlError>
  - - org.apache.xmlbeans.impl.common.XmlErrorWatcher

- All Implemented Interfaces:
    Iterable<XmlError>, Collection<XmlError>

      public class XmlErrorWatcher
      extends AbstractCollection<XmlError>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlErrorWatcher(Collection<XmlError> underlying)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(XmlError o)`
    `XmlError` | `firstError()`
    `boolean` | `hasError()`
    `Iterator<XmlError>` | `iterator()`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `equals, hashCode, parallelStream, removeIf, spliterator, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### XmlErrorWatcher

          public XmlErrorWatcher(Collection<XmlError> underlying)

  - ### Method Detail

    - #### add

          public boolean add(XmlError o)

      Specified by:
        `add` in interface `Collection<XmlError>`
      Overrides:
        `add` in class `AbstractCollection<XmlError>`

    - #### iterator

          public Iterator<XmlError> iterator()

      Specified by:
        `iterator` in interface `Iterable<XmlError>`
      Specified by:
        `iterator` in interface `Collection<XmlError>`
      Specified by:
        `iterator` in class `AbstractCollection<XmlError>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<XmlError>`
      Specified by:
        `size` in class `AbstractCollection<XmlError>`

    - #### hasError

          public boolean hasError()

    - #### firstError

          public XmlError firstError()